View Issue Details

IDProjectCategoryView StatusLast Update
0034044LazarusLCLpublic2018-09-30 08:47
ReporterBenito van der ZanderAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionProduct BuildLazarus 1.8.1 r55664M FPC 3.1.1  
Target VersionFixed in Version 
Summary0034044: list view column width 0 in oncreate after handle creation
DescriptionHere the column width is always 0 regardless of the designer settings:

procedure TForm1.FormCreate(Sender: TObject);
var
  i, sum: Integer;
begin
  Canvas.GetTextHeight('Hm,.|');;
  sum := 0;
  for i := 0 to ListView1.ColumnCount - 1 do
    sum := sum + ListView1.Column[i].Width;
  caption := IntToStr(sum);
end;


Additional Informationin my actual project it is even worse: reading width, sets width to 0, but it does not happen anywhere else
TagsNo tags attached.
Fixed in Revisionr59047
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0034279 closedJuha Manninen Options pane for Component Palette does not show icons in the ListView with GTK2 

Activities

Juha Manninen

2018-09-17 21:31

developer   ~0110834

I applied a patch from the related issue. Please test.

Juha Manninen

2018-09-23 14:36

developer   ~0110977

Resolving.

Issue History

Date Modified Username Field Change
2018-07-28 18:21 Benito van der Zander New Issue
2018-09-17 19:15 Juha Manninen Relationship added related to 0034279
2018-09-17 21:27 Juha Manninen Assigned To => Juha Manninen
2018-09-17 21:27 Juha Manninen Status new => assigned
2018-09-17 21:31 Juha Manninen LazTarget => -
2018-09-17 21:31 Juha Manninen Note Added: 0110834
2018-09-17 21:31 Juha Manninen Status assigned => feedback
2018-09-23 14:36 Juha Manninen Fixed in Revision => r59047
2018-09-23 14:36 Juha Manninen Note Added: 0110977
2018-09-23 14:36 Juha Manninen Status feedback => resolved
2018-09-23 14:36 Juha Manninen Resolution open => fixed